# SoToVRMLAction Class Reference
[Actions]

`#include <Inventor/actions/SoToVRMLAction.h>`

Inheritance diagram for SoToVRMLAction:

List of all members.

## Detailed Description

The SoToVRMLAction class builds a new scene graph using only VRML 1.0 nodes.

This action is used for converting a scene graph of VRML2/VRML97 nodes to a new scene graph using only VRML1 compatible nodes.

A current limitation of this action is that nodes specific for Inventor / Coin (ie neither VRML1 or VRML97 compatible nodes) is not attempted converted, they are just ignored.

See also:
  SoToVRML2Action

Since:
  Coin 2.0

  TGS Inventor 2.5

## Public Member Functions

| SoToVRMLAction (void)
virtual | ~SoToVRMLAction ()
virtual void | apply (SoNode *node)
virtual void | apply (SoPath *path)
virtual void | apply (const SoPathList &pathlist, SbBool obeysrules=FALSE)
SoNode * | getVRMLSceneGraph (void) const
void | expandSoFile (SbBool flag)
SbBool | areSoFileExpanded (void) const
void | setUrlName (const SbString name)
SbString | getUrlName (void) const
void | writeTexCoords (SbBool flag)
SbBool | areTexCoordWritten (void) const
void | expandTexture2Node (SbBool flag)
SbBool | areTexture2NodeExpanded (void) const
void | keepUnknownNodes (SbBool flag)
SbBool | areUnknownNodeKept (void) const
void | convertInlineNodes (SbBool flag)
SbBool | doConvertInlineNodes (void) const
void | conditionalConversion (SbBool flag)
SbBool | doConditionalConversion (void) const
void | setVerbosity (SbBool flag)
SbBool | isVerbose (void) const

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual void | beginTraversal (SoNode *node)

## Friends

class | SoToVRMLActionP

## Constructor & Destructor Documentation

SoToVRMLAction::SoToVRMLAction | ( | void |  | ) |

| Constructor.

SoToVRMLAction::~SoToVRMLAction | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

void SoToVRMLAction::initClass | ( | void |  | ) | `[static]`

| Initializes the run-time type system for this class, and sets up the enabled elements and action method list. Reimplemented from SoAction. Reimplemented in SoToVRML2Action.

void SoToVRMLAction::apply | ( | SoNode * | root | ) | `[virtual]`

| Applies the action to the scene graph rooted at root. Note that you should not apply an action to a node with a zero reference count. The behavior in that case is undefined. Reimplemented from SoAction. Reimplemented in SoToVRML2Action.

void SoToVRMLAction::apply | ( | SoPath * | path | ) | `[virtual]`

| Applies the action to the parts of the graph defined by path. If the path ends in an SoGroup node, the action will also traverse the tail node's children. Reimplemented from SoAction. Reimplemented in SoToVRML2Action.

void SoToVRMLAction::apply | ( | const SoPathList & | pathlist,
|  | SbBool | obeysrules = FALSE
| ) | `[virtual]`

Applies action to the graphs defined by pathlist. If obeysrules is set to `TRUE`, pathlist must obey the following four conditions (which is the case for path lists returned from search actions for non-group nodes and path lists returned from picking actions):

All paths must start at the same head node. All paths must be sorted in traversal order. The paths must be unique. No path can continue through the end point of another path.

Reimplemented from SoAction.

Reimplemented in SoToVRML2Action.

void SoToVRMLAction::beginTraversal | ( | SoNode * | node | ) | `[protected, virtual]`

This virtual method is called from SoAction::apply(), and is the entry point for the actual scenegraph traversal.

It can be overridden to initialize the action at traversal start, for specific initializations in the action subclasses inheriting SoAction.

Default method just calls traverse(), which any overridden implementation of the method must do too (or call SoAction::beginTraversal()) to trigger the scenegraph traversal.

Reimplemented from SoAction.

Reimplemented in SoToVRML2Action.

The documentation for this class was generated from the following files:

- SoToVRMLAction.h
- SoToVRMLAction.cpp